# About

This is a HV controller for the python Qt6 GUI for CAEN SY4527 + A4528 CPU module. It communicate the built-in EPICS server to control and retrive parameters. It can also push the current Voltage and leakage current to influxDB via network connection. 

# Require package

in Ubuntu 20+

    ~>sudo apt install python3-pyqt6 snmp snmp-mibs-downloader curl python3-pip
    ~>python3 -m pip install pyqt6 influxdb-client

# Code 

### HVLibrary.py

this is the library to setup the basic of epics. User need to modify the IP and hostName. 

### HVGUI.py

this is the GUI code.

# DataBase connection

The program use the influxdb_client to push data to a influx database. In influxDB V2, a token is needed for secure connection. For security, a token should be save in INFLUX_TOKEN.txt, the program will load it for token. The IP address, org, bucket are hardcoded, so please change it as needed. 

# Usage

    ~>./HVGUI.py